All Classes Namespaces Functions Variables Pages
VariableLangevinIntegrator Class Reference

This is an error contolled, variable time step Integrator that simulates a System using Langevin dynamics. More...

Inheritance diagram for VariableLangevinIntegrator:

## Public Member Functions

def | getTemperature
| getTemperature(VariableLangevinIntegrator self) -> double More...
def | setTemperature
| setTemperature(VariableLangevinIntegrator self, double temp) More...
def | getFriction
| getFriction(VariableLangevinIntegrator self) -> double More...
def | setFriction
| setFriction(VariableLangevinIntegrator self, double coeff) More...
def | getErrorTolerance
| getErrorTolerance(VariableLangevinIntegrator self) -> double More...
def | setErrorTolerance
| setErrorTolerance(VariableLangevinIntegrator self, double tol) More...
def | getRandomNumberSeed
| getRandomNumberSeed(VariableLangevinIntegrator self) -> int More...
def | setRandomNumberSeed
| setRandomNumberSeed(VariableLangevinIntegrator self, int seed) More...
def | step
| step(VariableLangevinIntegrator self, int steps) More...
def | stepTo
| stepTo(VariableLangevinIntegrator self, double time) More...
def | __init__
| init(OpenMM::VariableLangevinIntegrator self, double temperature, double frictionCoeff, double errorTol) -> VariableLangevinIntegrator init(OpenMM::VariableLangevinIntegrator self, VariableLangevinIntegrator other) -> VariableLangevinIntegrator More...
def | __del__
| del(OpenMM::VariableLangevinIntegrator self) More...
Public Member Functions inherited from Integrator
def | __init__
def | __del__
| del(OpenMM::Integrator self) More...
def | getStepSize
| getStepSize(Integrator self) -> double More...
def | setStepSize
| setStepSize(Integrator self, double size) More...
def | getConstraintTolerance
| getConstraintTolerance(Integrator self) -> double More...
def | setConstraintTolerance
| setConstraintTolerance(Integrator self, double tol) More...
def | step
| step(Integrator self, int steps) More...
def | __getstate__
def | __setstate__

## Public Attributes

| this
Public Attributes inherited from Integrator
| this

## Detailed Description

This is an error contolled, variable time step Integrator that simulates a System using Langevin dynamics.

It compares the result of the Langevin integrator to that of an explicit Euler integrator, takes the difference between the two as a measure of the integration error in each time step, and continuously adjusts the step size to keep the error below a specified tolerance. This both improves the stability of the integrator and allows it to take larger steps on average, while still maintaining comparable accuracy to a fixed step size integrator.

It is best not to think of the error tolerance as having any absolute meaning. It is just an adjustable parameter that affects the step size and integration accuracy. You should try different values to find the largest one that produces a trajectory sufficiently accurate for your purposes. 0.001 is often a good starting point.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::VariableLangevinIntegrator self, double temperature, double frictionCoeff, double errorTol) -> VariableLangevinIntegrator init(OpenMM::VariableLangevinIntegrator self, VariableLangevinIntegrator other) -> VariableLangevinIntegrator

Create a VariableLangevinIntegrator.

Parameters

  temperature | the temperature of the heat bath (in Kelvin)
  frictionCoeff | the friction coefficient which couples the system to the heat bath (in inverse picoseconds)
  errorTol | the error tolerance

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::VariableLangevinIntegrator self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getErrorTolerance | ( |  | self,
|  |  | args
| ) |  |

getErrorTolerance(VariableLangevinIntegrator self) -> double

Get the error tolerance.

References simtk.openmm.openmm.stripUnits().

def getFriction | ( |  | self,
|  |  | args
| ) |  |

getFriction(VariableLangevinIntegrator self) -> double

Get the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

References simtk.openmm.openmm.stripUnits().

def getRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

getRandomNumberSeed(VariableLangevinIntegrator self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

References simtk.openmm.openmm.stripUnits().

def getTemperature | ( |  | self,
|  |  | args
| ) |  |

getTemperature(VariableLangevinIntegrator self) -> double

Get the temperature of the heat bath (in Kelvin).

References simtk.openmm.openmm.stripUnits().

def setErrorTolerance | ( |  | self,
|  |  | args
| ) |  |

setErrorTolerance(VariableLangevinIntegrator self, double tol)

Set the error tolerance.

References simtk.openmm.openmm.stripUnits().

def setFriction | ( |  | self,
|  |  | args
| ) |  |

setFriction(VariableLangevinIntegrator self, double coeff)

Set the friction coefficient which determines how strongly the system is coupled to the heat bath (in inverse ps).

Parameters

  coeff | the friction coefficient, measured in 1/ps

References simtk.openmm.openmm.stripUnits().

def setRandomNumberSeed | ( |  | self,
|  |  | args
| ) |  |

setRandomNumberSeed(VariableLangevinIntegrator self, int seed)

Set the random number seed. The precise meaning of this parameter is undefined, and is left up to each Platform to interpret in an appropriate way. It is guaranteed that if two simulations are run with different random number seeds, the sequence of random forces will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

If seed is set to 0 (which is the default value assigned), a unique seed is chosen when a Context is created from this Force. This is done to ensure that each Context receives unique random seeds without you needing to set them explicitly.

References simtk.openmm.openmm.stripUnits().

def setTemperature | ( |  | self,
|  |  | args
| ) |  |

setTemperature(VariableLangevinIntegrator self, double temp)

Set the temperature of the heat bath (in Kelvin).

Parameters

  temp | the temperature of the heat bath, measured in Kelvin

References simtk.openmm.openmm.stripUnits().

def step | ( |  | self,
|  |  | args
| ) |  |

step(VariableLangevinIntegrator self, int steps)

Advance a simulation through time by taking a series of time steps.

Parameters

  steps | the number of time steps to take

References simtk.openmm.openmm.stripUnits().

def stepTo | ( |  | self,
|  |  | args
| ) |  |

stepTo(VariableLangevinIntegrator self, double time)

Advance a simulation through time by taking a series of steps until a specified time is reached. When this method returns, the simulation time will exactly equal the time which was specified. If you call this method and specify a time that is earlier than the current time, it will return without doing anything.

Parameters

  time | the time to which the simulation should be advanced

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py